libzypp: zypp::media::ZsyncParser Class Reference

libzypp 17.38.11

zypp::media::ZsyncParser Class Reference

`#include <zypp-curl/parser/zsyncparser.h>`

Inheritance diagram for zypp::media::ZsyncParser:

## Public Member Functions
| ZsyncParser ()
void | parse (const Pathname &filename)
| parse a file consisting of zlink data
std::vector< Url > | getUrls ()
| return the download urls from the parsed metalink data
MediaBlockList | getBlockList ()
| return the block list from the parsed metalink data

## Private Attributes
off_t | filesize
size_t | blksize
int | sql
int | rsl
int | csl
MediaBlockList | bl
std::vector< std::string > | urls

## Detailed Description

Definition at line 25 of file zsyncparser.h.

## Constructor & Destructor Documentation

## ◆ ZsyncParser()

zypp::media::ZsyncParser::ZsyncParser | ( |  | ) |

Definition at line 44 of file zsyncparser.cc.

## Member Function Documentation

## ◆ parse()

void zypp::media::ZsyncParser::parse | ( | const Pathname & | filename | ) |

parse a file consisting of zlink data

Exceptions

  Exception |

Definition at line 77 of file zsyncparser.cc.

## ◆ getUrls()

std::vector< Url > zypp::media::ZsyncParser::getUrls | ( |  | ) |

return the download urls from the parsed metalink data

Definition at line 187 of file zsyncparser.cc.

## ◆ getBlockList()

MediaBlockList zypp::media::ZsyncParser::getBlockList | ( |  | ) |

return the block list from the parsed metalink data

Definition at line 197 of file zsyncparser.cc.

## Member Data Documentation

## ◆ filesize

off_t zypp::media::ZsyncParser::filesize
| private

Definition at line 44 of file zsyncparser.h.

## ◆ blksize

size_t zypp::media::ZsyncParser::blksize
| private

Definition at line 45 of file zsyncparser.h.

## ◆ sql

int zypp::media::ZsyncParser::sql
| private

Definition at line 46 of file zsyncparser.h.

## ◆ rsl

int zypp::media::ZsyncParser::rsl
| private

Definition at line 47 of file zsyncparser.h.

## ◆ csl

int zypp::media::ZsyncParser::csl
| private

Definition at line 48 of file zsyncparser.h.

## ◆ bl

MediaBlockList zypp::media::ZsyncParser::bl
| private

Definition at line 49 of file zsyncparser.h.

## ◆ urls

std::vector<std::string> zypp::media::ZsyncParser::urls
| private

Definition at line 50 of file zsyncparser.h.

The documentation for this class was generated from the following files:

- zypp-curl/parser/zsyncparser.h
- zypp-curl/parser/zsyncparser.cc